Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | Movie

Name

### stop()

Examples

    import processing.video.*;
    Movie myMovie;

    void setup() {
      size(200, 200);
      background(0);
      myMovie = new Movie(this, "totoro.mov");
      myMovie.play();
    }

    void draw() {
      background(255);
      image(myMovie, 0, 0);
    }

    void movieEvent(Movie m) {
      m.read();
    }

    // Stops the movie playback when the mouse pressed
    void mousePressed() {
      myMovie.stop();
    }

Description | Stops a movie from continuing. The playback returns to the beginning so when a movie is played, it will begin from the beginning.

Syntax

    mov.stop()

Parameters

mov | any variable of type Movie

Usage | Web & Application

Updated on November 22, 2008 08:39:22pm PST